- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libmspub::Line Struct Reference

`#include <Line.h>`

## Public Member Functions
| Line (ColorReference color, unsigned widthInEmu, bool lineExists)
| Line (ColorReference color, unsigned widthInEmu, bool lineExists, Dash dash)
bool | operator== (const Line &r) const

## Public Attributes
ColorReference | m_color
unsigned | m_widthInEmu
bool | m_lineExists
boost::optional< Dash > | m_dash

## Constructor & Destructor Documentation

libmspub::Line::Line | ( | ColorReference | color,
|  | unsigned | widthInEmu,
|  | bool | lineExists
| ) |  |
| inline

libmspub::Line::Line | ( | ColorReference | color,
|  | unsigned | widthInEmu,
|  | bool | lineExists,
|  | Dash | dash
| ) |  |
| inline

## Member Function Documentation

bool libmspub::Line::operator== | ( | const Line & | r | ) | const
| inline

## Member Data Documentation

ColorReference libmspub::Line::m_color

Referenced by operator==(), and libmspub::writeCustomShape().

boost::optional<Dash> libmspub::Line::m_dash

Referenced by operator==().

bool libmspub::Line::m_lineExists

Referenced by operator==(), and libmspub::writeCustomShape().

unsigned libmspub::Line::m_widthInEmu

Referenced by operator==(), and libmspub::writeCustomShape().

The documentation for this struct was generated from the following file:

- Line.h